#include <QtGui>
#include <QtNetwork>

class Widget : public QWidget
{
    Q_OBJECT
public:
    explicit Widget(QWidget *parent = 0) :
        QWidget(parent)
    {
        QPushButton* button = new QPushButton("get");
        button->setMinimumHeight(100);
        connect(button, SIGNAL(clicked()), SLOT(on_button_clicked()));
        QPushButton* button2 = new QPushButton("quit");
        button2->setMinimumHeight(100);
        connect(button2, SIGNAL(clicked()), QApplication::instance(), SLOT(quit()));
        m_log = new QTextBrowser;
        QVBoxLayout* layout = new QVBoxLayout(this);
        layout->addWidget(button);
        layout->addWidget(button2);
        layout->addWidget(m_log);


        m_nam = new QNetworkAccessManager(this);
        connect(m_nam, SIGNAL(finished(QNetworkReply*)), SLOT(on_nam_finished(QNetworkReply*)));
    }

private slots:
    void on_nam_finished(QNetworkReply* reply){
        m_log->append("finished");
        reply->deleteLater();
    }

    void on_button_clicked(){
        m_log->append("get");
        m_nam->get(QNetworkRequest(QUrl("http://qt.nokia.com")));
    }

private:
    QNetworkAccessManager* m_nam;
    QTextBrowser* m_log;
};

int main(int argc, char** argv)
{
    QApplication app(argc, argv);
    Widget w;
    w.showFullScreen();
    return app.exec();
}

#include "main.moc"